#include <iostream>
#include <vector>

int main() {
    int N;
    std::cin >> N;
    std::vector<int> A(N), B(N);
    for (int i = 0; i < N; i++) {
        std::cin >> A[i];
    }
    for (int i = 0; i < N; i++) {
        std::cin >> B[i];
    }
    int max = 0;
    for (int L = 0; L < N; L++) {
        int xor_val = 0;
        int and_val = -1;
        for (int R = L; R < N; R++) {
            xor_val ^= A[R];
            and_val &= B[R];
            if (and_val == 0) {
                break;
            }
            int s = xor_val * and_val;
            if (s > max) {
                max = s;
            }
        }
    }
    std::cout << "Najveca vrednost:" << max;
    return 0;
}